classification
Title: Use specific asserts in ctype tests
Type: enhancement Stage: resolved
Components: ctypes, Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: amaury.forgeotdarc, belopolsky, ezio.melotti, meador.inge, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-14 20:49 by serhiy.storchaka, last changed 2013-11-17 22:04 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_ctypes_asserts.patch serhiy.storchaka, 2013-11-14 20:49 review
Messages (4)
msg202883 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-14 20:49
The proposed patch makes the ctypes package tests use more specific asserts. This will provide more useful failure report.
msg203083 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 21:12
LGTM.
msg203090 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-16 21:54
New changeset 98adbaccaae3 by Serhiy Storchaka in branch '3.3':
Issue #19591: Use specific asserts in ctype tests.
http://hg.python.org/cpython/rev/98adbaccaae3

New changeset 5fa9293b6cde by Serhiy Storchaka in branch 'default':
Issue #19591: Use specific asserts in ctype tests.
http://hg.python.org/cpython/rev/5fa9293b6cde
msg203095 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-16 22:06
New changeset 8dbb78be2496 by Serhiy Storchaka in branch '2.7':
Issue #19591: Use specific asserts in ctype tests.
http://hg.python.org/cpython/rev/8dbb78be2496
History
Date User Action Args
2013-11-17 22:04:43serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
stage: commit review -> resolved
resolution: fixed
versions: + Python 2.7, Python 3.3
2013-11-16 22:06:32python-devsetmessages: + msg203095
2013-11-16 21:54:14python-devsetnosy: + python-dev
messages: + msg203090
2013-11-16 21:12:29ezio.melottisetnosy: + ezio.melotti

messages: + msg203083
stage: patch review -> commit review
2013-11-14 21:02:18serhiy.storchakalinkissue16510 dependencies
2013-11-14 20:50:27serhiy.storchakasetnosy: + amaury.forgeotdarc, belopolsky, meador.inge
2013-11-14 20:49:52serhiy.storchakacreate